
Auto Multiple Choice - Bug # 176: Unexpected exit of AMC

Status: Closed Priority: Normal
Author: Anirvan Sarkar Category:
Created: 05/19/2013 Assignee:
Updated: 05/29/2013 Due date:
Description: After the creation of a new project, say _*testproject*_, when AMC is exited a Dialog Box opens which says:

_You did not save project *testproject* options, which have been modified: do you want to save them before 
leaving?_
AMC abruptly exits when the close button on the title bar of dialog box is clicked. If the close button is clicked 
AMC should not exit.

History
05/19/2013 10:27 am - Anirvan Sarkar
- File AMC-DEBUG-4iU6rCUA.log added

05/19/2013 09:27 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

Applied in changeset r1385.

05/20/2013 02:56 pm - Anirvan Sarkar
It works properly if AMC is exited through Project>Quit.
But on clicking the close button on the Title bar, AMC still exits if the dialog window asking for saving options is closed without any response.

05/20/2013 03:08 pm - Anirvan Sarkar
Maybe "this":http://gtk2-perl.sourceforge.net/doc/pod/Gtk2/Window.html#Delete_Event_and_Des will be helpful.

05/20/2013 03:10 pm - Alexis Bienvenüe
- Status changed from Resolved to Feedback

Revision r1385 fixes the bug for me. Can you double-check you installed this version?
Then , try the following code from a terminal:
<pre>
perl -le 'use Gtk2 -init;print  Gtk2::MessageDialog->new(undef,"destroy-with-parent","question","yes-no","Please answer")->run;'
</pre>
Destroy this dialog window and tell me what is returned in the terminal.

05/20/2013 03:32 pm - Anirvan Sarkar
Alexis Bienvenüe wrote:
> Can you double-check you installed this version?

AMC is the latest version - *@svn:1385@*
OS is Ubuntu 12.10.

> Then , try the following code from a terminal:
> [...]
> Destroy this dialog window and tell me what is returned in the terminal.

@delete-event@

05/20/2013 03:42 pm - Alexis Bienvenüe
- Status changed from Feedback to New

> @delete-event@
Same result as with my setup.
So I can't reproduce the bug and don't see what's going on...
Maybe I will try a Ubuntu 12.10 virtualbox.

05/20/2013 04:59 pm - Anirvan Sarkar
Anirvan Sarkar wrote:

> But on clicking the close button on the Title bar, *AMC still exits* if the dialog window asking for saving options is closed without any response.

I have now noticed that AMC does not exit but it runs in the background. But the main GUI window of AMC closes which apparently makes it look like 
AMC has exited.

*P.S.* The process name of AMC in the System Monitor is listed as @perl@. I only noticed it because it had the AMC logo in front of it. It will be helpful 
if the name is something intuitive such as @auto-multiple-choice@.

05/29/2013 12:10 pm - Alexis Bienvenüe
Any progress with revision r1389?

05/29/2013 04:35 pm - Anirvan Sarkar
Alexis Bienvenüe wrote:
> Any progress with revision r1389?

Yes, the problem is solved. It now works as intended.

05/29/2013 05:52 pm - Alexis Bienvenüe
- Target version set to 1.2.1

- Status changed from New to Closed

Good. Thanks!
